Bug 1466117 - There is no option to set "physical_network_mtus = provider2:4000,provider3:1500" parameter via OSPD [NEEDINFO]
There is no option to set "physical_network_mtus = provider2:4000,provider3:...
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
medium Severity high
: ---
: 13.0 (Queens)
Assigned To: Brent Eagles
Arik Chernetsky
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 02:00 EDT by Eran Kuris
Modified: 2018-05-25 21:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ihrachys: needinfo? (beagles)


Attachments (Terms of Use)

  None (edit)
Description Eran Kuris 2017-06-29 02:00:12 EDT
Description of problem:
In OSP there is an option to set different MTU value for each physnet.
We need to have an option to set it as a part of OSPD and add this parameter to heat template. 

Version-Release number of selected component (if applicable):
rpm -qa |grep triple
openstack-tripleo-puppet-elements-6.0.0-3.el7ost.noarch
python-tripleoclient-6.1.0-6.el7ost.noarch
openstack-tripleo-image-elements-6.0.0-2.el7ost.noarch
puppet-tripleo-6.3.0-12.el7ost.noarch
openstack-tripleo-ui-3.1.0-9.el7ost.noarch
openstack-tripleo-validations-5.5.0-1.el7ost.noarch
openstack-tripleo-common-6.0.0-8.el7ost.noarch
openstack-tripleo-heat-templates-6.0.0-12.el7ost.noarch

How reproducible:
always

Steps to Reproduce:
1. grep -ir mtu /usr/share/openstack-tripleo-heat-templates/

2.
3.

Actual results:
no option to set physical_network_mtus via director

Expected results:
an available parameter of physical_network_mtus 

Additional info:
Comment 1 Assaf Muller 2017-07-17 14:24:58 EDT
Is that option something we want to support in TripleO?
Comment 2 Ihar Hrachyshka 2017-07-26 17:24:34 EDT
Yes, that's something we should support. I think Brent is a better person to give the timeline on that one. We discussed it a bunch of times in the past that we need it exposed.
Comment 5 Matt Flusche 2018-03-09 11:23:40 EST
At the moment this can be set with hiera data in ExtraConfig, example:

parameter_defaults:
  ExtraConfig:
    neutron::plugins::ml2::physical_network_mtus: ["external:1500"]

Note You need to log in before you can comment on or make changes to this bug.